﻿@page
@using Microsoft.Extensions.Localization;
@using Canyon.GM.Panel.Areas.Error.Pages;
@inject IStringLocalizer stringLocalizer;
@model IndexModel
@{
    ViewData["Title"] = stringLocalizer.GetString("Error");
}

<div class="nk-gap-4"></div>

<div class="container">
    <div class="row">
        <div class="col text-center">
            <h1>
                @stringLocalizer.GetString("Error")
                @if (Model.HttpStatus.HasValue)
                {
                    Html.Raw($"&nbsp;[{Model.HttpStatus.Value}]");
                }
            </h1>
            <h2>@stringLocalizer.GetString("ErrorPageDescription")</h2>

            @if (Model.ShowRequestId)
            {
                <p>
                    <strong>@stringLocalizer.GetString("RequestID"):</strong> <code>@Model.RequestId</code>
                </p>
            }

            <img width="400" src="~/images/localhostworks.png" alt="Works on localhost" />

            @if (!string.IsNullOrEmpty(Model.ErrorPath))
            {
                <p>@stringLocalizer.GetString("Path"): @Model.ErrorPath</p>
            }

            @if (!string.IsNullOrEmpty(Model.ExceptionMessage))
            {
                <p>@Html.Raw(Model.ExceptionMessage)</p>
            }

        </div>
    </div>
</div>

<div class="nk-gap-4"></div>
<div class="nk-gap-4"></div>
<div class="nk-gap-4"></div>